Package org.eclipse.mat.ui.snapshot

# Interface ImageHelper.Type

Enclosing class:
  ImageHelper

public static interface ImageHelper.Type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARRAY_INSTANCE`
`static final int`
`ARRAY_INSTANCE_GC_ROOT`
`static final int`
`CLASS`
`static final int`
`CLASS_INSTANCE`
`static final int`
`CLASS_INSTANCE_GC_ROOT`
`static final int`
`CLASSLOADER_INSTANCE`
`static final int`
`CLASSLOADER_INSTANCE_GC_ROOT`
`static final int`
`OBJECT_INSTANCE`
`static final int`
`OBJECT_INSTANCE_GC_ROOT`
`static final int`
`PACKAGE`
`static final int`
`STACK_FRAME`

## Field Details

### CLASS_INSTANCE

static final int CLASS_INSTANCE

See Also:
  - Constant Field Values

### OBJECT_INSTANCE

static final int OBJECT_INSTANCE

See Also:
  - Constant Field Values

### CLASSLOADER_INSTANCE

static final int CLASSLOADER_INSTANCE

See Also:
  - Constant Field Values

### ARRAY_INSTANCE

static final int ARRAY_INSTANCE

See Also:
  - Constant Field Values

### CLASS_INSTANCE_GC_ROOT

static final int CLASS_INSTANCE_GC_ROOT

See Also:
  - Constant Field Values

### OBJECT_INSTANCE_GC_ROOT

static final int OBJECT_INSTANCE_GC_ROOT

See Also:
  - Constant Field Values

### CLASSLOADER_INSTANCE_GC_ROOT

static final int CLASSLOADER_INSTANCE_GC_ROOT

See Also:
  - Constant Field Values

### ARRAY_INSTANCE_GC_ROOT

static final int ARRAY_INSTANCE_GC_ROOT

See Also:
  - Constant Field Values

### CLASS

static final int CLASS

See Also:
  - Constant Field Values

### PACKAGE

static final int PACKAGE

See Also:
  - Constant Field Values

### STACK_FRAME

static final int STACK_FRAME

See Also:
  - Constant Field Values